<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::test::MockSettingProtocol Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html">MockSettingProtocol</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::test::MockSettingProtocol Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_setting_protocol_8h_source.html">MockSettingProtocol.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::test::MockSettingProtocol:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html" title="alexaClientSDK::settings\l::SettingProtocolInterface" alt="" coords="10,5,181,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::settings::test::MockSettingProtocol:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_coll__map" id="alexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html" title="alexaClientSDK::settings\l::SettingProtocolInterface" alt="" coords="10,5,181,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa5676a5ab265b1dc67fb4a0d6bb6ba1d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html#aa5676a5ab265b1dc67fb4a0d6bb6ba1d">MockSettingProtocol</a> (const std::string &amp;initialValue, bool applyChange, bool revertChange)</td></tr>
<tr class="separator:aa5676a5ab265b1dc67fb4a0d6bb6ba1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">SettingProtocolInterface methods</div></td></tr>
<tr class="memitem:a634163db08b40598aed999cc6df22760"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html#a634163db08b40598aed999cc6df22760">localChange</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#ae396d77828decfcecc8ed89a6c2668ef">ApplyChangeFunction</a> applyChange, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a0fa0729b0ab81f0a7500777b0015c378">RevertChangeFunction</a> revertChange, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a> notifyObservers) override</td></tr>
<tr class="separator:a634163db08b40598aed999cc6df22760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a901565fc74eea0d90d4944607b344a45"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html#a901565fc74eea0d90d4944607b344a45">avsChange</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#ae396d77828decfcecc8ed89a6c2668ef">ApplyChangeFunction</a> applyChange, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a0fa0729b0ab81f0a7500777b0015c378">RevertChangeFunction</a> revertChange, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a> notifyObservers) override</td></tr>
<tr class="separator:a901565fc74eea0d90d4944607b344a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe4cbd891bb5396a188840076fc9dfcb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html#afe4cbd891bb5396a188840076fc9dfcb">restoreValue</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a6086a0511bdeb1da96086094dcce6731">ApplyDbChangeFunction</a> applyChange, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a> notifyObservers) override</td></tr>
<tr class="separator:afe4cbd891bb5396a188840076fc9dfcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html">alexaClientSDK::settings::SettingProtocolInterface</a></td></tr>
<tr class="memitem:a4268e76a8abb606ce4b93a0a71ee702d inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4268e76a8abb606ce4b93a0a71ee702d">~SettingProtocolInterface</a> ()=default</td></tr>
<tr class="separator:a4268e76a8abb606ce4b93a0a71ee702d inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html">alexaClientSDK::settings::SettingProtocolInterface</a></td></tr>
<tr class="memitem:ae396d77828decfcecc8ed89a6c2668ef inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#ae396d77828decfcecc8ed89a6c2668ef">ApplyChangeFunction</a> = std::function&lt; std::pair&lt; bool, std::string &gt;()&gt;</td></tr>
<tr class="separator:ae396d77828decfcecc8ed89a6c2668ef inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6086a0511bdeb1da96086094dcce6731 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a6086a0511bdeb1da96086094dcce6731">ApplyDbChangeFunction</a> = std::function&lt; std::pair&lt; bool, std::string &gt;(const std::string &amp;dbValue)&gt;</td></tr>
<tr class="separator:a6086a0511bdeb1da96086094dcce6731 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d469e1c33db8f4b61907b0747a70811 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a> = std::function&lt; void(<a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a65b348e86299aa3f3fcdf4a5f924e025">SettingNotifications</a> notification)&gt;</td></tr>
<tr class="separator:a4d469e1c33db8f4b61907b0747a70811 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fa0729b0ab81f0a7500777b0015c378 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a0fa0729b0ab81f0a7500777b0015c378">RevertChangeFunction</a> = std::function&lt; std::string()&gt;</td></tr>
<tr class="separator:a0fa0729b0ab81f0a7500777b0015c378 inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Mock class that implements <code><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html">SettingProtocolInterface</a></code>.</p>
<dl class="section note"><dt>Note</dt><dd>This is not thread safe and it runs the protocol synchronously to keep tests simple. </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa5676a5ab265b1dc67fb4a0d6bb6ba1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5676a5ab265b1dc67fb4a0d6bb6ba1d">&#9670;&nbsp;</a></span>MockSettingProtocol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::test::MockSettingProtocol::MockSettingProtocol </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>initialValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>applyChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>revertChange</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a901565fc74eea0d90d4944607b344a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a901565fc74eea0d90d4944607b344a45">&#9670;&nbsp;</a></span>avsChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::test::MockSettingProtocol::avsChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#ae396d77828decfcecc8ed89a6c2668ef">ApplyChangeFunction</a>&#160;</td>
          <td class="paramname"><em>applyChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a0fa0729b0ab81f0a7500777b0015c378">RevertChangeFunction</a>&#160;</td>
          <td class="paramname"><em>revertChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a>&#160;</td>
          <td class="paramname"><em>notifyObservers</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Implements the protocol for changing a setting value triggered by an AVS directive.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">applyChange</td><td>Function that can be used to apply the new value. </td></tr>
    <tr><td class="paramname">revertChange</td><td>Function that can be used to revert the change. This function should only be called if the apply change succeeded but some other part of the protocol has failed. </td></tr>
    <tr><td class="paramname">notifyObservers</td><td>Function used to notify the observers of the protocol result. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the directive was enqueued correctly; <code>false</code> otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a794a9aec03a6c01de6142db0981ee253">alexaClientSDK::settings::SettingProtocolInterface</a>.</p>

</div>
</div>
<a id="a634163db08b40598aed999cc6df22760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a634163db08b40598aed999cc6df22760">&#9670;&nbsp;</a></span>localChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a> alexaClientSDK::settings::test::MockSettingProtocol::localChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#ae396d77828decfcecc8ed89a6c2668ef">ApplyChangeFunction</a>&#160;</td>
          <td class="paramname"><em>applyChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a0fa0729b0ab81f0a7500777b0015c378">RevertChangeFunction</a>&#160;</td>
          <td class="paramname"><em>revertChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a>&#160;</td>
          <td class="paramname"><em>notifyObservers</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Implements the protocol for changing a setting value through local UI.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">applyChange</td><td>Function that can be used to apply the new value. </td></tr>
    <tr><td class="paramname">revertChange</td><td>Function that can be used to revert the change. This function should only be called if the apply change succeeded but some other part of the protocol has failed. </td></tr>
    <tr><td class="paramname">notifyObservers</td><td>Function used to notify the observers of the protocol result. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns what was the set result. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a5a304fbc24615ac1ffe3fea3f6b3af83">alexaClientSDK::settings::SettingProtocolInterface</a>.</p>

</div>
</div>
<a id="afe4cbd891bb5396a188840076fc9dfcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe4cbd891bb5396a188840076fc9dfcb">&#9670;&nbsp;</a></span>restoreValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::test::MockSettingProtocol::restoreValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a6086a0511bdeb1da96086094dcce6731">ApplyDbChangeFunction</a>&#160;</td>
          <td class="paramname"><em>applyChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a4d469e1c33db8f4b61907b0747a70811">SettingNotificationFunction</a>&#160;</td>
          <td class="paramname"><em>notifyObservers</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Implements the protocol for restoring a value from the storage.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">applyChange</td><td>Function that can be used to apply the value restored from the storage. This function will be called with empty string if no value was found in the database. </td></tr>
    <tr><td class="paramname">notifyObservers</td><td>Function used to notify the observers of the protocol result. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the directive was enqueued correctly; <code>false</code> otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a8f53143c5629664451cced6e827b16be">alexaClientSDK::settings::SettingProtocolInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/test/Settings/<a class="el" href="_mock_setting_protocol_8h_source.html">MockSettingProtocol.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
